Subject: [pim] Re: ASSERT on P2P and (*,G)ASSERT

From: "Neeraj Prasad" <[email-masked]>
Date: Sat, 5 Aug 2006 10:27:10 +0530

Would not gain anything, but what i wanted to know is the implementaion
interafce specific. I have seen CISCO does ASSERT, but JUNIPER does not. So
I just wanted to know what is the correct way to implement ASSERT module.

Also, CISCO does not accept (*,G) ASSERT with source address 0.0.0.0. Is
there any reason for this too. Isnt this an incorrect behaviour.

Rgds

On 8/3/06, [email-masked] <[email-masked]> wrote:
>
> Send pim mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www1.ietf.org/mailman/listinfo/pim
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of pim digest..."
>
>
> Today's Topics:
>
>    1. Re: Query regarding ASSERT (John Zwiebel)
>    2. Re: Help required for (*,*,RP) (John Zwiebel)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Wed, 2 Aug 2006 09:59:23 -0700
> From: John Zwiebel <[email-masked]>
> Subject: Re: [pim] Query regarding ASSERT
> To: neeraj prasad <[email-masked]>
> Cc: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="windows-1252"
>
> Since its a p2p link, what would you expect to gain by asserting?
>
> On Aug 1, 2006, at 9:36 AM, neeraj prasad wrote:
>
> > Hi,
> >
> > The PIM draft mentions that ASSERT is required on multi-acess LANs.
> > When we use the word LAN we implicity mean that the interface
> > connected to the LAN is a broadcast type interface like Ethernet.
> > If we have a PPP interface which is in 'oif' interface for lets say
> > (*,G) Join and an IP multicast data packet is received on this
> > 'oif', should PIM router ASSERT on this interface.
> >
> > The network topology is
> >
> > S1--------T1--------D1,D2--------T2
> >
> > s1 is configured to be RP
> >
> > I send one (*,G) Join from T2
> >
> > I then send IP multicast data packet from T2 destined to group G.
> >
> > Should router assert on D2 ??
> >
> > D1 and D2 are PPP interface lets say they are POS?
> >
> > Please clarify.
> >
> > Regards,
> > Neeraj.
> >
> >
> >
> > How low will we go? Check out Yahoo! Messenger's low PC-to-Phone
> > call rates.
> > _______________________________________________
> > pim mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pim
>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL:
> http://www1.ietf.org/pipermail/pim/attachments/20060802/a9a4fedb/attachment.html
>
> ------------------------------
>
> Message: 2
> Date: Wed, 2 Aug 2006 10:01:33 -0700
> From: John Zwiebel <[email-masked]>
> Subject: Re: [pim] Help required for (*,*,RP)
> To: neeraj prasad <[email-masked]>
> Cc: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
>
>
> On Aug 1, 2006, at 9:27 AM, neeraj prasad wrote:
>
> > I have observed that CISCO does not accept (*,*,RP) Join
>
> You are right.  It doesn't.
> At this point in PIMs life no one has shown how such a join might be
> useful.
>
> 2cents: work on SSM and bidir.
> (ie, my firmly held opinion not necessarily company policy.)
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL:
> http://www1.ietf.org/pipermail/pim/attachments/20060802/2a14256f/attachment.html
>
> ------------------------------
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pim
>
>
> End of pim Digest, Vol 28, Issue 3
> **********************************
>

-- 
Thanks and Regards,
Neeraj Prasad
_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim